import ParameterTypes from "@site/src/components/ParameterTypes"

# RemoteQueryFunction

 **RemoteQueryFunction**: (`query`: `string` \| [RemoteJoinerQuery](../../types/interfaces/types.RemoteJoinerQuery.mdx) \| `object`, `variables?`: `Record<string, unknown>`) => Promise&#60;any&#62; \| `null`

## Type declaration

### Parameters

<ParameterTypes parameters={[
  {
    "name": "query",
    "type": "`string` \\| [RemoteJoinerQuery](../../types/interfaces/types.RemoteJoinerQuery.mdx) \\| `object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "variables",
    "type": "`Record<string, unknown>`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

### Returns

<ParameterTypes parameters={[
  {
    "name": "Promise&#60;any&#62; \\| null",
    "type": "Promise&#60;any&#62; \\| `null`",
    "optional": true,
    "defaultValue": "",
    "description": "",
    "expandable": false,
    "children": []
  }
]} />
